# Generated from activeadmin_cms-0.0.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name activeadmin_cms

Name: rubygem-%{gem_name}
Version: 0.0.9
Release: 1%{?dist}
Summary: CMS functionality based on ActiveAdmin
License: MIT
URL: https://github.com/droidlabs/activeadmin_cms
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(sass-rails)
# BuildRequires: rubygem(acts-as-taggable-on)
# BuildRequires: rubygem(minitest-rails) >= 0.9.2
# BuildRequires: rubygem(minitest-rails) < 0.10
# BuildRequires: rubygem(factory_girl_rails)
# BuildRequires: rubygem(database_cleaner) < 1.1.0
# BuildRequires: rubygem(mocha)
BuildArch: noarch

%description
CMS functionality based on ActiveAdmin.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.9-1
- Initial package
